%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-Net-Google-SafeBrowsing4
Version:        0.7
Release:        1%{?dist}
Summary:        Perl extension for the Google Safe Browsing v4 API.

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~jsobrier
Source0:        http://search.cpan.org/CPAN/authors/id/J/JS/JSOBRIER/Net-Google-SafeBrowsing4-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
#BuildRequires:  perl-Text-Trim
#BuildRequires:  perl-MIME-Base64-URLSafe
#BuildRequires:  perl-String-HexConvert
#BuildRequires:	perl(Test::More)
#BuildRequires:	perl(LWP::UserAgent)
#BuildRequires:  perl-Google-ProtocolBuffers
#BuildRequires:  perl-Class-Accessor
#BuildRequires:  perl(Parse::RecDescent)
#BuildRequires:  perl(Math::BigInt)
#BuildRequires:  perl(Digest::SHA)
#BuildRequires:  perl(IO::Socket::SSL)

BuildRequires:  perl(Net::IP::Lite)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(HTTP::Message)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(List::BinarySearch)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl-Text-Trim
BuildRequires:  perl(Test::LWP::UserAgent)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
Net::Google::SafeBrowsing4 implements the Google Safe Browsing v4 Local API
 
The library passes all the unit tests listed in the API documentation.
 
The Google Safe Browsing database must be stored and managed locally.
Net::Google::SafeBrowsing4::Storage::File uses files as the storage back-end.
Other storage mechanisms (databases, memory, etc.) can be added and used transparently with this module.
 
 
The source code is available on github at https://github.com/juliensobrier/Net-Google-SafeBrowsing4.

%prep
%setup -q -n Net-Google-SafeBrowsing4-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Net/Google/SafeBrowsing4.pm
%{perl_vendorlib}/Net/Google/SafeBrowsing4/Storage.pm
%{perl_vendorlib}/Net/Google/SafeBrowsing4/Storage/File.pm
%{perl_vendorlib}/Net/Google/SafeBrowsing4/URI.pm
%dir %{perl_vendorlib}/Net/Google
%{_mandir}/man3/*SafeBrowsing4*

%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 0.7-1
- Initial rpm release.
